Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

#1 Le 14/02/2014, à 12:11

zosk

[RESOLU] Pilote pour Ati HD 4250

Bonjour,

Voilà ça fait maintenant bien des années que je traine mes expériences sous linux et particulièrement sous Xubuntu depuis l'arrivée et Unity, (beurk) tout allait bien jusqu'à avant hier lorsque comme d'hab je décide de lancer les maj qui s'accumulent. Je reboot le notebook et là plus de cadre aux fenêtres et pluss moyen de déplacer ou fermer les fenêtres. Je bidouille un moment et fini par désactiver compiz, repasser sur sur le server du bureau de base et tout rentre dans l'ordre mais au prochain redémarrage rebolotte. La je me dis bon ma 12.04LTS  mériterait un coup de jeune et sans trop réféchir du charge une 13.10 et l'installe et là les soucis commencent. Impossible d'avoir les cadres des fenêtre, le pointeur de la souris est une grosse croix noire, les fenêtres sont scotchées au coin supérieur gauche, bref c'est le souk car pas de pilotes d'installer pour mon Ati HD 4250. Pas grave je tente l'installe de fglrx mais pas mieux, je fouille un peu pour m'appercevoir que l'installation est quasi impossible sur une 13.10.... Super, mais c'est quoi ce bordel ??
Linux ne sait plus gérer une simple carte ati ? Et je fais quoi moi avec mon notebook maintenant ? obligé de repasser sous une 12.04 lts ou il y a une alternative qui m'aurait échappée ?
J'aurais bien besoin d'un coup de patte svp sur ce coup-ci car j'ai épuisé mes cartouches d'idées et de patience.

Modération : j'ai renommé le sujet afin qu'il soit explicite vis-à-vis de ton problème (titre original : « Vraiment déçu de linux !! »), et déplacé ta demande dans la section la plus appropriée, afin qu'il y trouve davantage de réponses.

Dernière modification par zosk (Le 16/02/2014, à 01:43)

Hors ligne

#2 Le 14/02/2014, à 13:14

ljere

Re : [RESOLU] Pilote pour Ati HD 4250

bonjour,
je peux te suggérer d'installer le pilote de catalyste, j'en ai fait un article, mais il n'est déjà plus à jour, la procédure reste la même http://ljeremie.legtux.org/?p=125
voici le lien pour la commande

wget http://www2.ati.com/drivers/legacy/amd-driver-installer-catalyst-13.1-legacy-linux-x86.x86_64.zip

je t'ai donné le lien pour ta carte normalement tu ne devrais pas avoir de souci


Modérateur d'ubuntu-fr.org
athlon 2800+, nvidia FX5200 et 2 Go de ram et sempron 3000+, ati radeon et 1 Go de ram sur voyager 12.04 32 bit
Toshiba satellite_c670d-11l sur openbox/xubuntu 14.04 64 bit
Mon Blog et Une découverte

Hors ligne

#3 Le 14/02/2014, à 14:06

tiramiseb

Re : [RESOLU] Pilote pour Ati HD 4250

Linux ne sait plus gérer une simple carte ati ?

Ou plutôt : « ATI (AMD) n'a toujours pas décidé de faire en sorte que son matériel soit facilement utilisable sous Linux ? »
Tu parles là d'une carte pour laquelle ATI semble avoir délibérément décidé de laisser tomber le support dans ses drivers.

On peut voir un message intéressant ici :
http://ubuntuforums.org/showthread.php? … st12718988

Il semble donc possible que la version "legacy" proposée par ljere ne fonctionne pas non plus à cause de cette histoire de serveur X.
As-tu tenté de désinstaller complètement le pilote privateur pour laisser le système utiliser le pilote libre "radeon" ?


Sébastien Maccagnoni-Munch - administrateur Linux depuis le XXème siècle
Consultant informatique indépendant - http://www.smm-informatique.fr
Geek et tout plein d'autres choses - http://www.tiramiseb.fr

Hors ligne

#4 Le 14/02/2014, à 17:23

ljere

Re : [RESOLU] Pilote pour Ati HD 4250

sinon il y a la solution debian d'utiliser un fichier preference obligeant à se servir du pilote de precise
c'est dans ma signature pour utiliser une vieille carte nvidia discussion ici ./viewtopic.php?pid=11512041#p11512041
à adapter à ton cas biensur


Modérateur d'ubuntu-fr.org
athlon 2800+, nvidia FX5200 et 2 Go de ram et sempron 3000+, ati radeon et 1 Go de ram sur voyager 12.04 32 bit
Toshiba satellite_c670d-11l sur openbox/xubuntu 14.04 64 bit
Mon Blog et Une découverte

Hors ligne

#5 Le 16/02/2014, à 01:42

zosk

Re : [RESOLU] Pilote pour Ati HD 4250

Bonjour,

Merci pour les solutions proposées et j'ai fini par régler le soucis en faisant une purge complète de fglrx puis j'ai installé le pilote mesa et ce qui va avec, me souviens plus trop car j'ai tellement tenté de choses. Au passage, j'ai essayé les catalysts sans succès. Au niveau de pilotes additionnels, il ne trouvait rien pour ma carte, bizzare.
Actuellement l'accélération foncitonne et pas de pb d'affichage donc je suis content et pense que je vais rester sur la 13.10.. à voir sur la distance.
En fait mon soucis est apparu non pas à cause du pilote Ati mais du gestionnaire de fenêtres, j'utilisais compiz et c'est lui qui a foutu le bordel car en passant sur metacity ça allait mais au redémarrage il sautait. Du coup j'ai viré compiz pensant que metacity prendrait la relève, ce qui ne s'est pas fait et je devais le lancer en console pour rétablir la normale. Je suis passé à Xfwm4 mais ce dernier ne se lançait pas non plus au démarrage et j'ai fini par l'intégrer dans les processus de démarrage et là ça roule.
Je mets donc le sujet en résolu et vous remercie pour votre aide.

Hors ligne

#6 Le 16/02/2014, à 10:50

tiramiseb

Re : [RESOLU] Pilote pour Ati HD 4250

En fait mon soucis est apparu non pas à cause du pilote Ati mais du gestionnaire de fenêtres

C'est plus ou moins les deux.

Tu utilises un gestionnaire de fenêtres qui a besoin de l'accélération 3D, l'accélération 3D ne marche plus, donc le gestionnaire de fenêtres ne marche plus smile

je vais rester sur la 13.10.. à voir sur la distance.

Ouais enfin la distance ne sera pas très longue vu que la 13.10 sera obsolète en juillet 2014...
Si tu veux une distance, il faut utiliser une version LTS...


Sébastien Maccagnoni-Munch - administrateur Linux depuis le XXème siècle
Consultant informatique indépendant - http://www.smm-informatique.fr
Geek et tout plein d'autres choses - http://www.tiramiseb.fr

Hors ligne

#7 Le 17/02/2014, à 09:22

zosk

Re : [RESOLU] Pilote pour Ati HD 4250

tiramiseb a écrit :

En fait mon soucis est apparu non pas à cause du pilote Ati mais du gestionnaire de fenêtres

C'est plus ou moins les deux.

Tu utilises un gestionnaire de fenêtres qui a besoin de l'accélération 3D, l'accélération 3D ne marche plus, donc le gestionnaire de fenêtres ne marche plus smile

je vais rester sur la 13.10.. à voir sur la distance.

Ouais enfin la distance ne sera pas très longue vu que la 13.10 sera obsolète en juillet 2014...
Si tu veux une distance, il faut utiliser une version LTS...

Entièrement d'accord avec toi sur le point 1, effectivement j'avais pas vu la chose comme ça et ceci explique donc cela.

Pour ce qui est de rester sur la 13.10 en attendant la nouvelle mouture j'ai un peu de temps pour voir venir ensuite en verra mais là j'ai passé trop de temps à tout reparamètrer aux petits oignons pour repasser sur une 12.04.

Ce que je peux faire pour avoir la paix c'est bloquer la maj de la version du pilote graphique une fois que j'aurais réussi à l'installer car pour l'instant il me semble que je tourne sur le pilote de base mesa-utils.

Hors ligne

#8 Le 17/02/2014, à 11:26

tiramiseb

Re : [RESOLU] Pilote pour Ati HD 4250

pour l'instant il me semble que je tourne sur le pilote de base

Et ça pose un problème ?

Ce que je peux faire pour avoir la paix c'est bloquer la maj de la version du pilote graphique

Ou alors ne pas l'installer...


Sébastien Maccagnoni-Munch - administrateur Linux depuis le XXème siècle
Consultant informatique indépendant - http://www.smm-informatique.fr
Geek et tout plein d'autres choses - http://www.tiramiseb.fr

Hors ligne

#9 Le 18/02/2014, à 02:49

zosk

Re : [RESOLU] Pilote pour Ati HD 4250

Non ça ne pose pas de soucis pour l'instant et je pense que je vais effectivement me contenter des pilotes de bases. Vu que je ne fais que du bureau et du web ça suffit amplement.

Hors ligne

Haut de page ↑